## keybinder 0.2.2

=== examples/Makefile ===
GTK_CFLAGS = $(shell pkg-config --cflags gtk+-2.0)
GTK_LDFLAGS = $(shell pkg-config --libs gtk+-2.0)

LUA_CFLAGS = $(shell pkg-config --cflags lua5.1)
LUA_LDFLAGS = $(shell pkg-config --libs lua5.1)

KEYB_LDFLAGS = $(shell pkg-config --libs keybinder)

VALAC = valac

all: main lua vala

lua: minigtk.so

# Example C program with libkeybinder
main: main.c
	$(CC) $(GTK_CFLAGS) $(GTK_LDFLAGS) \
		$(KEYB_LDFLAGS) $< -o $@

# Lua "minigtk" library
minigtk.so: lminigtk.c
	$(CC) $(GTK_CFLAGS) $(GTK_LDFLAGS) \
		$(LUA_CFLAGS) $(LUA_LDFLAGS) $< -shared -o $@

vala: vexample

vexample: vexample.vala keybinder.vapi
	$(VALAC) --pkg gtk+-2.0 --pkg keybinder --vapidir=. $<

clean:
	rm -f *.so *.lo main vexample

.PHONY: clean all lua vala

=== debian/changelog ===
keybinder (0.2.2-4) unstable; urgency=low

  * debian/patches/Xkb.patch:
    - Fix crash with Xkb extension (Closes: #593371).
  * debian/compat:
    - Bump compatibility level to 9.
  * debian/control:
    - Bump Standards-Version to 3.9.3.
  * debian/copyright:
    - Format now points to copyright-format site.
  * debian/libkeybinder0.symbols.amd64:
    - Refresh to pick new symbols.
  * debian/rules:
    - Bump dh_makeshlibs version to >= 0.2.2 for the new symbols.

 -- Luca Falavigna <dktrkranz@debian.org>  Sun, 27 May 2012 02:27:18 +0200

keybinder (0.2.2-3) unstable; urgency=low

  * Switch to dh_python2.
  * Use autoreconf sequencer.
  * debian/patches/ACLOCAL_AMFLAGS.patch:
    - Define ACLOCAL_AMFLAGS, set to -I m4.
  * debian/control:
    - Bump Standards-Version to 3.9.2, no changes required.
  * debian/copyright:
    - Update copyright information.
  * debian/rules:
    - Do not install .la files.

 -- Luca Falavigna <dktrkranz@debian.org>  Thu, 21 Apr 2011 23:56:20 +0200

keybinder (0.2.2-2) unstable; urgency=low

  * debian/control:
    - Adjust Homepage field to new URL.
    - Bump Standards.Version to 3.9.0, no changes required.
  * debian/libkeybinder-dev.install:
    - Install keybinder.pc file (Closes: #585077).

 -- Luca Falavigna <dktrkranz@debian.org>  Sat, 17 Jul 2010 14:39:57 +0200

keybinder (0.2.2-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    - Fix Vcs fields to point to new repository.
  * debian/rules:
    - Compile with --as-needed flag enabled.

 -- Luca Falavigna <dktrkranz@debian.org>  Thu, 03 Jun 2010 21:50:23 +0200

keybinder (0.2.1-1) unstable; urgency=low

  * New upstream release.
  * Package is no longer maintainer under DPMT.
  * New binary packages:
    - libkeybinder0, shared library
    - libkeybinder-dev, development headers
  * Update copyright information

 -- Luca Falavigna <dktrkranz@debian.org>  Sun, 02 May 2010 12:49:36 +0200

keybinder (0.1.1-1) unstable; urgency=low

  * New upstream release.
    - Fix incorrect Super modifier binding (Closes: #578651).

 -- Luca Falavigna <dktrkranz@debian.org>  Wed, 21 Apr 2010 20:53:19 +0200

keybinder (0.1.0-1) unstable; urgency=low

  * New upstream release.
  * Switch to format 3.0 (quilt).
  * debian/control:
    - Build-depend on libgtk2.0-dev (>= 2.20).
  * debian/copyright:
    - Refresh copyright information.

 -- Luca Falavigna <dktrkranz@debian.org>  Sun, 11 Apr 2010 14:05:36 +0200

keybinder (0.0.4-2) unstable; urgency=low

  * debian/control:
    - Add autoconf, automake and libtool to Build-Depends.
    - Add autoconf2.13 and automake1.4 to Build-Conflicts.
    - Bump Standards-Version to 3.8.4, no changes required.
  * debian/rules:
    - Run "autoreconf -fi -I m4" for every Python build instance to get
      proper libtool fixes (Closes: #558567).

 -- Luca Falavigna <dktrkranz@debian.org>  Thu, 11 Feb 2010 22:15:50 +0100

keybinder (0.0.4-1) unstable; urgency=low

  * New upstream release.
  * Remove gnome-doc-utils and python-gnomeapplet from Build-Depends.
  * Update my e-mail address.
  * Bump Standards-Version to 3.8.3, no changes required.

 -- Luca Falavigna <dktrkranz@debian.org>  Fri, 27 Nov 2009 10:48:11 +0100

keybinder (0.0.3-1) unstable; urgency=low

  * Initial release (Closes: #535619).

 -- Luca Falavigna <dktrkranz@ubuntu.com>  Wed, 08 Jul 2009 11:55:13 +0200

=== debian/control ===
Source: keybinder
Section: libs
Priority: optional
Maintainer: Luca Falavigna <dktrkranz@debian.org> 
Build-Depends: debhelper (>= 9), python-all-dev (>= 2.6.6-3~), pkg-config (>= 0.9.0), libgtk2.0-dev (>= 2.20), python-gtk2-dev (>= 2.12), dh-autoreconf
Standards-Version: 3.9.3
X-Python-Version: >= 2.5
Homepage: http://kaizer.se/wiki/keybinder/
Vcs-Git: git://git.debian.org/git/users/dktrkranz/keybinder.git
Vcs-Browser: http://git.debian.org/?p=users/dktrkranz/keybinder.git;a=summary

Package: libkeybinder0
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: registers global key bindings for applications
 keybinder is a library for registering global keyboard shortcuts to be used by
 GTK-based applications under the X Window System.
 .
 When a combination of key is pressed, keybinder notifies it to the registering
 application, which can execute one or more operations based on the event
 previously registered.
 .
 Originally written as part of the Tomboy project, keybinder has been
 distributed as stand-alone library let other applications to use key binding.

Package: libkeybinder-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libkeybinder0 (= ${binary:Version})
Description: registers global key bindings for applications - development headers
 keybinder is a library for registering global keyboard shortcuts to be used by
 GTK-based applications under the X Window System.
 .
 When a combination of key is pressed, keybinder notifies it to the registering
 application, which can execute one or more operations based on the event
 previously registered.
 .
 Originally written as part of the Tomboy project, keybinder has been
 distributed as stand-alone library let other applications to use key binding.
 .
 This package contains libkeybinder development headers.

Package: python-keybinder
Section: python
Architecture: any
Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}, python-gtk2
Provides: ${python:Provides}
Description: registers global key bindings for applications - Python bindings
 keybinder is a library for registering global keyboard shortcuts to be used by
 GTK-based applications under the X Window System.
 .
 When a combination of key is pressed, keybinder notifies it to the registering
 application, which can execute one or more operations based on the event
 previously registered.
 .
 Originally written as part of the Tomboy project, keybinder has been
 distributed as stand-alone library let other applications to use key binding.
 .
 This package contains Python bindings.

=== debian/rules ===
#!/usr/bin/make -f

PYTHONS := $(shell pyversions -vr debian/control)

%:
	dh $@ --with python2,autoreconf

clean:
	rm -fr build keybinder/*.pyc
	dh $@

override_dh_auto_configure:
	for pyvers in ${PYTHONS}; do \
		mkdir -p build/py$$pyvers; cp -Rl `ls . | grep -v build | grep -v debian` build/py$$pyvers;\
		(cd build/py$$pyvers; CC="cc -Wl,--as-needed" ./configure --prefix=/usr PYTHON=python$$pyvers); \
	done

override_dh_auto_build:
	for pyvers in ${PYTHONS}; do \
		(cd build/py$$pyvers/; $(MAKE) PYTHON=python$$pyvers); \
	done

override_dh_auto_install:
	for pyvers in ${PYTHONS}; do \
		(cd build/py$$pyvers/; $(MAKE) install DESTDIR=$(CURDIR)/debian/tmp); \
	done
	find $(CURDIR)/debian/tmp -name "*.la" -delete

override_dh_makeshlibs:
	dh_makeshlibs -V 'libkeybinder0 (>= 0.2.2)'

## keybinder 0.3.0

=== examples/Makefile ===
GTKPKG = gtk+-2.0
KEYBPKG = keybinder
GTK_CFLAGS = $(shell pkg-config --cflags $(GTKPKG))
GTK_LDFLAGS = $(shell pkg-config --libs $(GTKPKG))

LUA_CFLAGS = $(shell pkg-config --cflags lua5.1)
LUA_LDFLAGS = $(shell pkg-config --libs lua5.1)

KEYB_FLAGS = $(shell pkg-config --cflags --libs $(KEYBPKG))

CFLAGS ?= -g -O2

VALAC = valac

all: main lua vala

lua: minigtk.so

# Example C program with libkeybinder
main: main.c
	$(CC) $(KEYB_FLAGS) $(CFLAGS) $< -o $@

# Lua "minigtk" library
minigtk.so: lminigtk.c
	$(CC) $(GTK_CFLAGS) $(GTK_LDFLAGS) \
		$(LUA_CFLAGS) $(LUA_LDFLAGS) $< -shared -o $@

vala: vexample

vexample: vexample.vala keybinder.vapi
	$(VALAC) --pkg $(GTKPKG) --pkg keybinder --vapidir=. $<

clean:
	rm -f *.so *.lo main vexample

.PHONY: clean all lua vala

=== debian/changelog ===
keybinder (0.3.0-2) unstable; urgency=low

  * Upload to unstable.
  * debian/patches/python-multiarch-header-path.patch:
    - Define python multiarch header include paths (Closes: #697825).
  * debian/control:
    - Add libgtk2.0-dev to libkeybinder-dev Depends field, thanks to
      Alessandro Ghedini for the bug report (Closes: #687457).
    - Bump Standards-Version to 3.9.4.
    - Move VCS repository under collab-maint.

 -- Luca Falavigna <dktrkranz@debian.org>  Sun, 05 May 2013 12:12:17 +0200

keybinder (0.3.0-1) experimental; urgency=low

  * New upstream release.
  * Add introspection support.
  * debian/patches/ACLOCAL_AMFLAGS.patch:
    - Removed, applied upstream.
  * debian/patches/Xkb.patch:
    - Refresh for new upstream release.
  * debian/control:
    - Build-depend on gtk-doc-tools (>= 1.14).
    - Provide keybinder-doc documentation package.
  * debian/libkeybinder0.symbols.amd64:
    - Refresh to pick new symbols.
  * debian/rules:
    - Allow to build source twice in a row.
    - Build with --enable-gtk-doc option.
    - Bump dh_makeshlibs version to >= 0.3.0 for the new symbols.

 -- Luca Falavigna <dktrkranz@debian.org>  Fri, 24 Aug 2012 15:43:15 +0200

=== debian/control ===
--- 
+++ 
@@ -2,16 +2,25 @@
 Section: libs
 Priority: optional
 Maintainer: Luca Falavigna <dktrkranz@debian.org> 
-Build-Depends: debhelper (>= 9), python-all-dev (>= 2.6.6-3~), pkg-config (>= 0.9.0), libgtk2.0-dev (>= 2.20), python-gtk2-dev (>= 2.12), dh-autoreconf
-Standards-Version: 3.9.3
+Build-Depends: debhelper (>= 9),
+               python-all-dev (>= 2.6.6-3~),
+               pkg-config (>= 0.9.0),
+               libgtk2.0-dev (>= 2.20),
+               python-gtk2-dev (>= 2.12),
+               gobject-introspection (>= 0.6.7),
+               libgirepository1.0-dev (>= 0.6.7),
+               gtk-doc-tools (>= 1.14),
+               dh-autoreconf
+Standards-Version: 3.9.4
 X-Python-Version: >= 2.5
 Homepage: http://kaizer.se/wiki/keybinder/
-Vcs-Git: git://git.debian.org/git/users/dktrkranz/keybinder.git
-Vcs-Browser: http://git.debian.org/?p=users/dktrkranz/keybinder.git;a=summary
+Vcs-Git: git://anonscm.debian.org/collab-maint/keybinder.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/keybinder.git;a=summary
 
 Package: libkeybinder0
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends},
+         ${misc:Depends}
 Description: registers global key bindings for applications
  keybinder is a library for registering global keyboard shortcuts to be used by
  GTK-based applications under the X Window System.
@@ -23,10 +32,33 @@
  Originally written as part of the Tomboy project, keybinder has been
  distributed as stand-alone library let other applications to use key binding.
 
+Package: gir1.2-keybinder-0.0
+Section: introspection
+Architecture: any
+Depends: ${gir:Depends},
+         ${shlibs:Depends},
+         ${misc:Depends}
+Description: registers global key bindings for applications - introspection data
+ keybinder is a library for registering global keyboard shortcuts to be used by
+ GTK-based applications under the X Window System.
+ .
+ When a combination of key is pressed, keybinder notifies it to the registering
+ application, which can execute one or more operations based on the event
+ previously registered.
+ .
+ Originally written as part of the Tomboy project, keybinder has been
+ distributed as stand-alone library let other applications to use key binding.
+ .
+ This package contains introspection data.
+
 Package: libkeybinder-dev
 Section: libdevel
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libkeybinder0 (= ${binary:Version})
+Depends: ${shlibs:Depends},
+         ${misc:Depends},
+         libkeybinder0 (= ${binary:Version}),
+         gir1.2-keybinder-0.0 (= ${binary:Version}),
+         libgtk2.0-dev
 Description: registers global key bindings for applications - development headers
  keybinder is a library for registering global keyboard shortcuts to be used by
  GTK-based applications under the X Window System.
@@ -43,7 +75,10 @@
 Package: python-keybinder
 Section: python
 Architecture: any
-Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}, python-gtk2
+Depends: ${python:Depends},
+         ${shlibs:Depends},
+         ${misc:Depends},
+         python-gtk2
 Provides: ${python:Provides}
 Description: registers global key bindings for applications - Python bindings
  keybinder is a library for registering global keyboard shortcuts to be used by
@@ -57,3 +92,20 @@
  distributed as stand-alone library let other applications to use key binding.
  .
  This package contains Python bindings.
+
+Package: keybinder-doc
+Section: doc
+Architecture: all
+Depends: ${misc:Depends}
+Description: registers global key bindings for applications - documentation
+ keybinder is a library for registering global keyboard shortcuts to be used by
+ GTK-based applications under the X Window System.
+ .
+ When a combination of key is pressed, keybinder notifies it to the registering
+ application, which can execute one or more operations based on the event
+ previously registered.
+ .
+ Originally written as part of the Tomboy project, keybinder has been
+ distributed as stand-alone library let other applications to use key binding.
+ .
+ This package contains documentation and API reference.

=== debian/watch ===
version=3
http://kaizer.se/publicfiles/keybinder/keybinder-([0-9.]+)\.tar\.gz

## keybinder 0.3.1

=== debian/changelog ===
keybinder (0.3.1-2ubuntu1) focal; urgency=medium

  * Remove empty Object Hierarchy section from documentation index to fix
    build with gtk-doc 1.32.

 -- William Grant <wgrant@ubuntu.com>  Mon, 13 Apr 2020 17:56:40 +1000

keybinder (0.3.1-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Remove ancient X-Python-Version field
  * d/copyright: Use https protocol in Format field
  * d/control: Remove trailing whitespaces
  * d/control: Set Vcs-* to salsa.debian.org

  [ Jeremy Bicha ]
  * Drop unused python-keybinder package (Closes: #885377, #936786)
  * Build-Depend on debhelper-compat 12 and drop debian/compat
  * Build-Depend on dh-sequence-gir

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 22 Oct 2019 22:02:17 -0400

keybinder (0.3.1-1) unstable; urgency=medium

  * New upstream release.
   - Fix memory leak Closes: #804148).
     Thanks to Dmitry Eremin-Solenikov!
  * Bump Standards-Version to 3.9.6, no changes.

 -- Andrew Starr-Bochicchio <asb@debian.org>  Sun, 08 Nov 2015 13:14:38 -0500

keybinder (0.3.0-3) unstable; urgency=medium

  * Adopt package (Closes: #741021).
  * Bump Standards-Version to 3.9.5 , no changes needed.
  * Update homepage.
  * Update watch file.

 -- Andrew Starr-Bochicchio <asb@debian.org>  Sun, 09 Mar 2014 10:26:44 -0400

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,18 @@
 Source: keybinder
 Section: libs
 Priority: optional
-Maintainer: Luca Falavigna <dktrkranz@debian.org> 
-Build-Depends: debhelper (>= 9),
-               python-all-dev (>= 2.6.6-3~),
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Andrew Starr-Bochicchio <asb@debian.org>
+Build-Depends: debhelper-compat (= 12),
+               dh-sequence-gir,
                pkg-config (>= 0.9.0),
                libgtk2.0-dev (>= 2.20),
-               python-gtk2-dev (>= 2.12),
-               gobject-introspection (>= 0.6.7),
                libgirepository1.0-dev (>= 0.6.7),
-               gtk-doc-tools (>= 1.14),
-               dh-autoreconf
-Standards-Version: 3.9.4
-X-Python-Version: >= 2.5
-Homepage: http://kaizer.se/wiki/keybinder/
-Vcs-Git: git://anonscm.debian.org/collab-maint/keybinder.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/keybinder.git;a=summary
+               gtk-doc-tools (>= 1.14)
+Standards-Version: 3.9.6
+Homepage: https://github.com/engla/keybinder
+Vcs-Git: https://salsa.debian.org/debian/keybinder.git
+Vcs-Browser: https://salsa.debian.org/debian/keybinder
 
 Package: libkeybinder0
 Architecture: any
@@ -72,27 +69,6 @@
  .
  This package contains libkeybinder development headers.
 
-Package: python-keybinder
-Section: python
-Architecture: any
-Depends: ${python:Depends},
-         ${shlibs:Depends},
-         ${misc:Depends},
-         python-gtk2
-Provides: ${python:Provides}
-Description: registers global key bindings for applications - Python bindings
- keybinder is a library for registering global keyboard shortcuts to be used by
- GTK-based applications under the X Window System.
- .
- When a combination of key is pressed, keybinder notifies it to the registering
- application, which can execute one or more operations based on the event
- previously registered.
- .
- Originally written as part of the Tomboy project, keybinder has been
- distributed as stand-alone library let other applications to use key binding.
- .
- This package contains Python bindings.
-
 Package: keybinder-doc
 Section: doc
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND =  -Wl,--as-needed

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		--disable-python \
		--enable-gtk-doc \
		--prefix=/usr

override_dh_install:
	find debian/tmp -name "*.la" -delete
	dh_install

override_dh_makeshlibs:
	dh_makeshlibs -V 'libkeybinder0 (>= 0.3.0)'
